public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: change CKI workaround detection
@ 2026-09-11 13:18 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:18 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : dc137b132e5d4126b0f8c25664b6cf67d7a4e84c
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2020-08-06T19:16:43+02:00
Stats : +1/-1 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/dc137b132e5d4126b0f8c25664b6cf67d7a4e84c?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: change CKI workaround detection
Recently there were some changes in CKI upstream kernel building and the
old bugginess detection doesn't work any more. Fix it to use adifferent
build program, which is still missing.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 0f789f5..887d75f 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -396,7 +396,7 @@ rlJournalStart
# CKI mainline kernels don't ship with module build infrastructure
# just yet. Also, RHEL-8 CKI kernel-devel programs are
# cross-compiled badly for alt arches, so try executing one of them.
- if ! "/lib/modules/$(uname -r)/build/scripts/unifdef" /dev/null &>/dev/null; then
+ if ! "/lib/modules/$(uname -r)/build/scripts/basic/fixdep" 2>&1 | grep -q "Usage"; then
exclude_tests+=" module_load"
fi
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: change CKI workaround detection Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox